/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QWidget>
#include "ui_Help.h"

#ifndef __HELP_H
#define __HELP_H

/**
 * Okno s napovedou
 * @author Martin Plicka
 */
class Help: public QWidget, public Ui::Help
{

      Q_OBJECT

      /**
       * zakladni adresar aplikace
       */
      QString adresar;

   public:
      /**
       * Konstruktor
       * @param adr adresar aplikace
       * @param parent rodic
       */
      Help(const QString & adr, QWidget *parent = 0);
   public slots:

      /**
       * Zobrazi okno s napovedou
       */
      void zobrazit();
};

#endif
