/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SADA_DEFINIC_H_INCLUDED
#define SADA_DEFINIC_H_INCLUDED

class Definice;
class PorovnejDefinice;

/**
 * \file
 * Sada definic
 */

 /**
 * Alias pro sadu definic.
 * Slouzi pro jednodussi psani.
 */
typedef std::set<Definice*,PorovnejDefinice> SadaDefinic;

#endif // SADA_DEFINIC_H_INCLUDED
